Details

    • Attachments:
      0
    • Comments:
      13
    • Documentation Status:
      Needed

      Description

      Compiling Dspace with:

      mvn package -Pmirage2_dev -Pmirage2-deps-included-slow -Dlicense.skip=true -Dmirage2.on=true -Dmirage2.deps.included=true

      show this error:

      [INFO] — gem-maven-plugin:1.0.6:initialize (default) @ xmlui-mirage2 —
      [WARNING] ERROR: Error installing C:\Users\MuelleNew\.m2\repository\rubygems\rb-inotify\0.10.0\rb-inotify-0.10.0.gem:
      [WARNING] rb-inotify requires Ruby version >= 2.2.
      [INFO] ------------------------------------------------------------------------
      [INFO] Reactor Summary:
      [INFO]
      [INFO] DSpace Parent Project .............................. SUCCESS [ 0.537 s]
      [INFO] DSpace Services Framework :: API and Implementation SUCCESS [ 1.373 s]
      [INFO] DSpace Kernel :: API and Implementation ............ SUCCESS [ 5.160 s]
      [INFO] DSpace Addon Modules ............................... SUCCESS [ 0.008 s]
      [INFO] DSpace Kernel :: Additions and Local Customizations SUCCESS [ 0.271 s]
      [INFO] DSpace OAI-PMH ..................................... SUCCESS [ 1.540 s]
      [INFO] DSpace XML-UI (Manakin) ............................ SUCCESS [ 5.974 s]
      [INFO] DSpace XML-UI Mirage2 Theme ........................ SUCCESS [ 0.294 s]
      [INFO] DSpace XML-UI Mirage2 Theme :: Local Customisations FAILURE [ 10.132 s]
      [INFO] DSpace XML-UI (Manakin) :: Local Customizations .... SKIPPED
      [INFO] DSpace SWORD ....................................... SKIPPED
      [INFO] DSpace SWORD :: Local Customizations ............... SKIPPED
      [INFO] DSpace SWORD v2 .................................... SKIPPED
      [INFO] DSpace SWORD v2 :: Local Customizations ............ SKIPPED
      [INFO] Apache Solr Webapp ................................. SKIPPED
      [INFO] DSpace SOLR :: Local Customizations ................ SKIPPED
      [INFO] DSpace OAI-PMH :: Local Customizations ............. SKIPPED
      [INFO] DSpace Assembly and Configuration .................. SKIPPED
      [INFO] ------------------------------------------------------------------------
      [INFO] BUILD FAILURE
      [INFO] ------------------------------------------------------------------------
      [INFO] Total time: 25.675 s
      [INFO] Finished at: 2018-12-17T09:11:51+01:00
      [INFO] Final Memory: 51M/823M
      [INFO] ------------------------------------------------------------------------
      [ERROR] Failed to execute goal de.saumya.mojo:gem-maven-plugin:1.0.6:initialize (default) on project xmlui-mirage2: Execution default of goal de.saumya.mojo:gem-maven-plugin:1.0.6:initialize failed: Java returned: 1 -> [Help 1]

      It worked last week.

      Its because rb-inotify launch a new version (15/12/2018) and it require Ruby version >=2.2. Previous version need a >=0

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                terrywbrady Terry Brady
                Reporter:
                adan.roman Adan Roman
              • Votes:
                0 Vote for this issue
                Watchers:
                4 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: